Page MenuHomePhabricator

Adding letter Kra (ĸ) to Special Characters Toolbar
Closed, ResolvedPublic

Description

I often use the letter Kra (ĸ), when I write articles, but I always have to copy and paste it from anywhere else to type it, because it isn't included in the toolbar above the editing window. There it would fit perfectly into the special characters category "Latin extended", where many other historic and very rare letters are listed. The small letter ist typed above and a capital letter doesn't exist. It would be very nice, if you'd add it.
Thanks, Kenny McFly

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2018, 6:35 PM
matmarex added a subscriber: matmarex.

This would be a good simple task for a first-time contributor to MediaWiki. You can find the list of characters in the file /resources/src/mediawiki.language/specialcharacters.json (it is used by both visual editor and wikitext editor).

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 30 2018, 4:56 AM

Change 406829 had a related patch set uploaded (by Navisk13; owner: Navisk13):
[mediawiki/core@master] Added letter Kra (ĸ) to special characters toolbar

https://gerrit.wikimedia.org/r/406829

Zoranzoki21 moved this task from Backlog to Doing on the good first bug board.Jan 31 2018, 3:55 PM

Change 406829 merged by jenkins-bot:
[mediawiki/core@master] Added letter Kra (ĸ) to special characters toolbar

https://gerrit.wikimedia.org/r/406829

matmarex closed this task as Resolved.Feb 2 2018, 1:20 AM
matmarex removed a project: Patch-For-Review.

This change will be deployed to Wikimedia wikis on 6-8 February, with MediaWiki version 1.31.0-wmf.20, per https://www.mediawiki.org/wiki/MediaWiki_1.31/Roadmap.